@echo off
set "sourceFolder=%~dp0"

rem Destination folders
set "destFolder1=C:\Program Files (x86)\SonicCat\Purity"
set "destFolder2=C:\Program Files (x86)\VstPlugins\SonicCat"
set "destFolder3=C:\Program Files\Common Files\VST2\SonicCat"

rem Copying "Purity_x64.dll"
copy /Y "%sourceFolder%Purity_x64.dll" "%destFolder1%"
copy /Y "%sourceFolder%Purity_x64.dll" "%destFolder2%"
copy /Y "%sourceFolder%Purity_x64.dll" "%destFolder3%"

rem Copying "Purity.dll"
copy /Y "%sourceFolder%Purity.dll" "%destFolder1%"
copy /Y "%sourceFolder%Purity.dll" "%destFolder2%"
copy /Y "%sourceFolder%Purity.dll" "%destFolder3%"

echo Files copied and replaced successfully.
pause
